%define upstream_name	 OpenOffice-OODoc
%define upstream_version 2.125

#(nl) this 2 requires are not needed, they are on a exemple file only
%global __requires_exclude  perl\\(Tk::Dialog\\)|perl\\(Tk\\) 

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/OpenOffice/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Archive::Zip)
BuildRequires:	perl(XML::Twig)

BuildArch:	noarch


%description
A library for Open Document processing

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENCE README META.yml
%{_bindir}/*
%{perl_vendorlib}/OpenOffice
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.125.0-9.mga8
+ Revision: 1496197
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.125.0-8.mga7
+ Revision: 1270228
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.125.0-7.mga6
+ Revision: 1031564
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.125.0-6.mga6
+ Revision: 946438
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.125.0-5.mga5
+ Revision: 739739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.125.0-4.mga5
+ Revision: 685795
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 2.125.0-3.mga4
+ Revision: 513748
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.125.0-2.mga3
+ Revision: 371150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.125.0-1.mga1
+ Revision: 34857
- fix filename in %%doc
- mageia rebuild
- imported package perl-OpenOffice-OODoc


* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.125.0-1mdv2011.0
+ Revision: 553134
- update to 2.125

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 2.124.0-1mdv2010.1
+ Revision: 532153
- update to 2.124

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 2.123.0-1mdv2010.1
+ Revision: 526451
- update to 2.123

* Thu Mar 11 2010 Jérôme Quelin <jquelin@mandriva.org> 2.122.0-1mdv2010.1
+ Revision: 518082
- update to 2.122

* Fri Jan 29 2010 Jérôme Quelin <jquelin@mandriva.org> 2.112.0-1mdv2010.1
+ Revision: 497915
- update to 2.112

* Mon Jan 11 2010 Jérôme Quelin <jquelin@mandriva.org> 2.111.0-1mdv2010.1
+ Revision: 489516
- update to 2.111

* Wed Jan 06 2010 Jérôme Quelin <jquelin@mandriva.org> 2.109.0-1mdv2010.1
+ Revision: 486605
- update to 2.109

* Mon May 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.108-1mdv2010.0
+ Revision: 379520
- update to new version 2.108

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.107-1mdv2009.1
+ Revision: 311992
- update to new version 2.107

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.106-1mdv2009.1
+ Revision: 300710
- update to new version 2.106

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.105-1mdv2009.1
+ Revision: 292338
- update to new version 2.105

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.103-1mdv2009.0
+ Revision: 220150
- update to new version 2.103

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.102-1mdv2009.0
+ Revision: 201863
- update to new version 2.102

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.035-1mdv2008.0
+ Revision: 47703
- update to new version 2.035


* Tue Aug 29 2006 guillomovitch
+ 2006-08-29 10:35:55 (58590)
- new version\nfix directory ownership

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 15:03:03 (43229)
- import perl-OpenOffice-OODoc-2.026-1mdv2007.0

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.026-1mdv2007.0
- New version 2.026

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.025-1mdv2007.0
- New release 2.025

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.024-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.024-1mdk
- New release 2.024

* Wed Feb 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.023-1mdk
- New release 2.023

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.022-1mdk
- New release 2.022
- fix non-interactive build

* Thu Jan 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.019-2mdk
- Fix Typo
- Fix Requires

* Tue Jan 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.019-1mdk
- first mdk release

